Skip to main content
GET
/
api
/
user
/
psk
Get current user's PSK information
curl --request GET \
  --url https://api.example.com/api/user/psk \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "is_active": true,
  "description": "<string>",
  "last_used_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

PSK information retrieved successfully.

Response model for user PSK information. It doesn't include the actual PSK.

id
string<uuid>
required

Unique ID of the user PSK.

user_id
string
required

The user ID associated with this PSK.

created_at
string<date-time>
required

Timestamp when the PSK was created.

updated_at
string<date-time>
required

Timestamp when the PSK was last updated.

is_active
boolean
required

Whether the PSK is active.

description
string | null

Optional description for the PSK.

last_used_at
string<date-time> | null

Timestamp when the PSK was last used.